Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 220989 - Crash in festival
Summary: Crash in festival
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: festival
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Miller
QA Contact:
URL:
Whiteboard:
Depends On: festival1.96
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-30 00:59 UTC by Saikat Guha
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.96-0.11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-20 19:01:16 UTC


Attachments (Terms of Use)
File festival crashes on (deleted)
2006-12-30 00:59 UTC, Saikat Guha
no flags Details

Description Saikat Guha 2006-12-30 00:59:22 UTC
Festival (1.95, Rawhide, x86_64) crashes when reading out the attached file.


$ festival --tts < ~/Desktop/statments_full.txt 
Segmentation fault (core dumped)

$ gdb core.15006
Core was generated by `festival --tts'.
Program terminated with signal 11, Segmentation fault.
#0  0x000000000047e3c5 in ?? ()
(gdb) bt
#0  0x000000000047e3c5 in ?? ()
#1  0x0000000000000000 in ?? ()
(gdb) t 2
Thread ID 2 not known.
(gdb) info reg
rax            0x0      0
rbx            0x17836d2        24655570
rcx            0xfffd0000       4294770688
rdx            0x0      0
rsi            0x0      0
rdi            0x1833500        25376000
rbp            0x7fffeafed520   0x7fffeafed520
rsp            0x7fffeafed510   0x7fffeafed510
r8             0x10000  65536
r9             0x0      0
r10            0x3      3
r11            0x3bb11479d0     256373979600
r12            0x7      7
r13            0x2aaaaab5fe10   46912496860688
r14            0x0      0
r15            0x0      0
rip            0x47e3c5 0x47e3c5
eflags         0x10206  [ PF IF RF ]
cs             0x33     51
ss             0x2b     43
ds             0x0      0
es             0x0      0
fs             0x0      0
gs             0x0      0
(gdb) 


$ ldd $(which festival)
        libestbase.so.1.2.95.1 => /usr/lib64/libestbase.so.1.2.95.1
(0x0000003bb0600000)
        libeststring.so.1.2 => /usr/lib64/libeststring.so.1.2 (0x0000003bb0200000)
        libtermcap.so.2 => /lib64/libtermcap.so.2 (0x0000003bb1a00000)
        libdl.so.2 => /lib64/libdl.so.2 (0x0000003bb1600000)
        libm.so.6 => /lib64/libm.so.6 (0x0000003bb1200000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x0000003bbc400000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x0000003bbb800000)
        libc.so.6 => /lib64/libc.so.6 (0x0000003bb0e00000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003bafe00000)


festival-1.95-5.2.1
glibc-2.5.90-14
libgcc-4.1.1-48
libstdc++-4.1.1-48
libtermcap-2.0.8-46.1



Guessing some stack buffer overran and blew away the stack.

Comment 1 Saikat Guha 2006-12-30 00:59:22 UTC
Created attachment 144571 [details]
File festival crashes on

Comment 2 Matthew Miller 2007-03-12 17:35:39 UTC
Works for me for the first minute or so at least. Does it crash immediately for you?

Comment 3 Matthew Miller 2007-03-14 19:31:44 UTC
I have, though, found at least one 64-bit cleanliness issue, so it's possible
that you're hitting that even though I don't happen to on my machine (also 64-bit).

Comment 4 Saikat Guha 2007-03-16 05:32:22 UTC
Mine crashed a ways into the file. Tested with the latest festival in rawhide. 

[saikat@sioux ~]$ time festival --tts < /home/saikat/tmp/tts.txt 
Segmentation fault

real    7m33.625s
user    0m13.039s
sys     0m0.400s


Comment 5 Matthew Miller 2007-03-16 12:23:27 UTC
Can you remember what it was saying at the time?

Also, could you try with the packages from http://mattdm.org/misc/festival/ ?

Thanks!

Comment 6 Saikat Guha 2007-03-16 14:06:44 UTC
(In reply to comment #5)
> Also, could you try with the packages from http://mattdm.org/misc/festival/

The crash seems to be fixed in these packages.




Comment 7 Matthew Miller 2007-03-16 14:09:24 UTC
Cool. I'm not surprised, since 64-bit cleanliness is one of the issues
addressed. I'm going to mark that bug as blocking this one; when we get that
into the distro I'll mark this resolved too.

Comment 8 Matthew Miller 2007-03-20 19:01:16 UTC
This issue should be resolved by the release of festival-1.96-0.11, now in the
development tree. (See bug #232105 for details.)

Please reopen if there's still a problem. Thanks.


Note You need to log in before you can comment on or make changes to this bug.